Subject: Guix fails to build libreoffice

From: Jan Wielkiewicz <[email-masked]>
Date: Sun, 22 Sep 2019 18:52:06 +0200

Hi everyone!

I've recently tried to reconfigure my system, but after about 3 hours
of building libreoffice, the system froze for 2 hours and then guix
threw:

- 'build' phasebuilder for
  `/gnu/store/ndibmh084iqmhv1ldv3fr3380mfk6qzg-libreoffice-6.1.5.2.drv'
  failed with exit code 1 build
  of /gnu/store/ndibmh084iqmhv1ldv3fr3380mfk6qzg-libreoffice-6.1.5.2.drv
  failed View build log at
  '/var/log/guix/drvs/nd/ibmh084iqmhv1ldv3fr3380mfk6qzg-libreoffice-6.1.5.2.drv.bz2'.
  guix system: error: build of
  `/gnu/store/ndibmh084iqmhv1ldv3fr3380mfk6qzg-libreoffice-6.1.5.2.drv'
  failed

My system is an old ThinkPad with 2GB of RAM and Intel Centrino Duo
processor, but I'm unsure if this was the cause of the build failing.
I saw some other packages have similar problems like, if my memory is
correct, the support for ARM have been removed from webkit-qt.
I'm not sure if removing support for an achitecture is the right
solution here - wouldn't it be better if Guix checked if the system is
powerful enough to handle building certain packages?

Here's the part of the log where it fails:

[build CXX] sc/source/core/data/colcontainer.cxx
[build CXX] sc/source/core/data/column.cxx
[build CXX] sc/source/core/data/column2.cxx
[build CXX] sc/source/core/data/column3.cxx
g++: internal compiler error: Killed (program cc1plus)
Please submit a full bug report,
with preprocessed source if appropriate.
See <http://gcc.gnu.org/bugs.html> for instructions.
make[1]: ***
[/tmp/guix-build-libreoffice-6.1.5.2.drv-0/libreoffice-6.1.5.2/solenv/gbuild/LinkTarget.mk:293: /tmp/guix-build-libreoffice-6.1.5.2.drv-0/libreoffice-6.1.5.2/workdir/CxxObject/sc/source/core/data/column2.o] Error 4
make[1]: *** Deleting file
'/tmp/guix-build-libreoffice-6.1.5.2.drv-0/libreoffice-6.1.5.2/workdir/CxxObject/sc/source/core/data/column2.o'
make[1]: *** Waiting for unfinished jobs....
make: *** [Makefile:286: build] Error 2
Backtrace:
           4 (primitive-load "/gnu/store/8d49s04zpk9frpz9isawr8k4fma…")
In ice-9/eval.scm:
   191:35  3 (_ _)
In srfi/srfi-1.scm:
   863:16  2 (every1 #<procedure 5073a0 at /gnu/store/0npakqh7q9kfi…> …)
In /gnu/store/0npakqh7q9kfik8y0cc0vjqqpvnyv2h1-module-import/guix/build/gnu-build-system.scm:
   799:28  1 (_ _)
In /gnu/store/0npakqh7q9kfik8y0cc0vjqqpvnyv2h1-module-import/guix/build/utils.scm:
    616:6  0 (invoke _ . _)

/gnu/store/0npakqh7q9kfik8y0cc0vjqqpvnyv2h1-module-import/guix/build/utils.scm:616:6:
In procedure invoke:
Throw to key `srfi-34' with args `(#<condition &invoke-error [program:
"make" arguments: ("-j" "2" "build-nocheck") exit-status: 2
term-signal: #f stop-signal: #f] 491200>)'.

---
Jan Wielkiewicz